package managers
{
	import com.adobe.serialization.json.JSON;
	
	import mx.collections.ArrayCollection;
	
	public class YQLManager
	{
		[Bindable]
		public var headlines:ArrayCollection;
		
		[Bindable]
		public var twitterResults:ArrayCollection;
		
		public function YQLManager()
		{
		}
		
		public function saveHeadlines(newHeadlines:String):void
		{
			var rawObj:Object = JSON.decode(newHeadlines);
			headlines = new ArrayCollection(rawObj.query.results.a);
		}
		
		public function saveTwitterResults(newResults:String):void
		{
			var rawObj:Object = JSON.decode(newResults);
			twitterResults = new ArrayCollection(rawObj.query.results.entry);
		}
		
		public function buildTwitterSearchURL(query:String):String
		{
			var str:String = "select * from atom where url='http://search.twitter.com/search.atom?q={QUERY}'";
			str = str.replace("{QUERY}",query);
			return str;
		}
		
		public function showTwitterError(newResults:String):void
		{
			twitterResults = new ArrayCollection(['Twitter Error:'+newResults]);
		}

	}
}